Interface GoogleSheetsStreamEndpointBuilderFactory.GoogleSheetsStreamBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GoogleSheetsStreamEndpointBuilderFactory
public static interface GoogleSheetsStreamEndpointBuilderFactory.GoogleSheetsStreamBuilders
-
Method Summary
Modifier and TypeMethodDescriptionGoogle Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets.googleSheetsStream(String path) Google Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets.googleSheetsStream(String componentName, String path) Google Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets.
-
Method Details
-
googleSheetsStream
default GoogleSheetsStreamEndpointBuilderFactory.GoogleSheetsStreamHeaderNameBuilder googleSheetsStream()Google Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets. Category: cloud,document Since: 2.23 Maven coordinates: org.apache.camel:camel-google-sheets- Returns:
- the dsl builder for the headers' name.
-
googleSheetsStream
default GoogleSheetsStreamEndpointBuilderFactory.GoogleSheetsStreamEndpointBuilder googleSheetsStream(String path) Google Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets. Category: cloud,document Since: 2.23 Maven coordinates: org.apache.camel:camel-google-sheets Syntax:google-sheets-stream:spreadsheetIdPath parameter: spreadsheetId (required) Specifies the spreadsheet identifier that is used to identify the target to obtain.- Parameters:
path- spreadsheetId- Returns:
- the dsl builder
-
googleSheetsStream
default GoogleSheetsStreamEndpointBuilderFactory.GoogleSheetsStreamEndpointBuilder googleSheetsStream(String componentName, String path) Google Sheets Stream (camel-google-sheets) Poll for changes in Google Sheets. Category: cloud,document Since: 2.23 Maven coordinates: org.apache.camel:camel-google-sheets Syntax:google-sheets-stream:spreadsheetIdPath parameter: spreadsheetId (required) Specifies the spreadsheet identifier that is used to identify the target to obtain.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- spreadsheetId- Returns:
- the dsl builder
-